jQuery.fn.tcarusel = function(options){
	
	return this.each(function() {
			
		var tcaruselBlock = $(this);
		var tcaruselScroll = tcaruselBlock.find('.tcarusel-scroll');
		var tcaruselFirstItem = tcaruselBlock.find('.tcarusel-item:first');
		var tcaruselLastItem = tcaruselBlock.find('.tcarusel-item:last');
		
		
		
		var tcaruselBlockWidth = tcaruselBlock.find(tcaruselFirstItem).outerWidth(true);
	
		function tcaruselShowNext() {
			tcaruselScroll.animate({'left':-tcaruselBlockWidth}, 200, function(){
				tcaruselBlock.find('.tcarusel-item:first').appendTo(tcaruselScroll);
				tcaruselScroll.css({'left':'0'});
			});
			return false;
		}
		
		function tcaruselShowPrev() {
			tcaruselBlock.find('.tcarusel-item:last').prependTo(tcaruselScroll);
			tcaruselScroll.css({'left':-tcaruselBlockWidth});
			tcaruselScroll.animate({'left':0}, 200);
		}
		
		tcaruselBlock.find('.tcarusel-next').click(tcaruselShowNext);
		tcaruselBlock.find('.tcarusel-prev').click(tcaruselShowPrev);
		
	});
	
};